<?php

/**
 * @file
 * Admin page callbacks for simple_smartling.module.
 */

/**
 * Page callback for the admin settings form.
 *
 * @return array
 *   The settings form array.
 *
 * @see simple_smartling_menu()
 */
function simple_smartling_settings_form() {
  $form = array(
    'simple_smartling_alter_admin_forms' => array(
      '#title' => t('Alter admin forms'),
      '#description' => t('Check this to enable Smartling on Drupal administration forms.'),
      '#type' => 'checkbox',
      '#default_value' => variable_get('simple_smartling_alter_admin_forms', 0),
    ),
  );

  return system_settings_form($form);
}
